#version 330

 
in vec3 position;
in vec3 normal;
in vec4 color;
in vec2 uv;
 
uniform mat4 uProjectionMatrix;
uniform mat4 uModelViewMatrix;
uniform mat3 uNormalMatrix;
uniform vec3 uSunNormal;

out vec4 vColor;
out vec2 vTexcoord;
 
out vec3 vVecNormal;
out vec3 vSunNormal;

out float vertexDepth;

void main()
{
    vColor = color;
	vTexcoord = uv;

	vSunNormal = uSunNormal;
	vVecNormal = uNormalMatrix*normal;
	vColor = color;

	vec4 vertexPos = uProjectionMatrix * uModelViewMatrix * vec4(position,1.0);
	vertexDepth = vertexPos.z;

    gl_Position = vertexPos;
}